package com.szr.zdryztpg.model;

import com.szr.common.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 质态评估查询内容
 *
 * @author loray
 * @date 2023/12/20 22:40
 */
@Data
@ApiModel("查询内容")
public class ZtpgPageListDTO extends BaseEntity {

    @ApiModelProperty("关键词")
    private String keyWord;

    @ApiModelProperty("人员类型")
    private String rylx;

    @ApiModelProperty("身份证号")
    private String sfzhm;

    @ApiModelProperty("人员姓名")
    private String ryxm;

    @ApiModelProperty("管控类型")
    private String gklx;

    @ApiModelProperty("检查开始时间")
    private String jckssj;

    @ApiModelProperty("检查结束时间")
    private String jcjssj;
}
