package com.szr.zdryztpg.model.rpa;

import com.szr.common.model.RpaFeedbackResult;
import lombok.Data;

/**
 * 人员质态rpa回调
 *
 * @author loray
 * @date 2023/12/13 19:57
 */
@Data
public class RyztRpaCallbackResultDTO extends RpaFeedbackResult {

//    {
//        "userid":"用户id"
//        "taskid":"任务id",
//            "name":"嫌疑人姓名",
//            "idcard":"嫌疑人身份证号",
//            "drmj":"带入民警",
//            "jcry":"检查人员",
//            "drsj":"带入时间"
//    }

    private String userid;

    private String taskid;

    private String name;

    private String idcard;

    private String drmj;

    private String jcry;

    private String drsj;

    //1 执行成功 2 失败
    private String status;

    public String statusText() {
        if ("1".equals(this.status)) {
            return "成功";
        }
        return "失败";
    }
}
