package com.szr.zdryztpg.utils;

import cn.hutool.core.bean.BeanUtil;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.BeanUtils;

import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName SzrBeanUtils
 * @Date 2023/2/8 18:26
 * @Version 1.0
 **/
public class SzrBeanUtils {

    public static <T> List<T> copyProperties4List(List<?> sources, Class<T> destination) {
        if (CollectionUtils.isEmpty(sources)) {
            return new ArrayList<>();
        }

        List<T> list = new ArrayList<>();
        for (Object source : sources) {
            list.add(BeanUtil.copyProperties(source, destination));
        }
        return list;
    }

    public static void copyProperties(Object orig, Object dest)
            throws InvocationTargetException, IllegalAccessException {
        BeanUtils.copyProperties(orig, dest);

    }

}
