package com.szr.zdryztpg.config;

import com.szr.common.model.dto.UserInfoDTO;

/**
 * @ClassName UserThreadLocal
 * @Description TODO
 * @Author wyj
 * @Date 2023/5/25 19:07
 * @Version 1.0
 **/
public class UserInheritableThreadLocal {
    private UserInheritableThreadLocal(){}

    public static InheritableThreadLocal<UserInfoDTO> threadLocal = new InheritableThreadLocal<>();

    public static void put(UserInfoDTO sysUser){
        threadLocal.set(sysUser);
    }

    public static UserInfoDTO get(){
        return threadLocal.get();
    }

    public static void remove(){
        threadLocal.remove();
    }
}
