package com.szr.zdryztpg.enums;


public enum StopPaymentReturnCode {
    //公共编码
    SUCCESS(200, "成功"),

    //机器人执行
    RPA_LOGIN_NOTFOUD(2000001, "rpa登录信息不存在"),

    NOT_ROBOT(2000002, "未查询到可以执行的机器人信息"),

    RESTOP_RPA_EXCEPTION(2000003, "重新止付调用RPA异常"),
    DB_EXCEPTION(2000004, "数据库操作异常");




    private int code;
    private String msg;

    StopPaymentReturnCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
