package com.szr.zdryztpg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 *
 * 信息核查内容信息
 *
 * @author loray
 * @date 2023/9/3 20:33
 */
@Data
@ApiModel("重点人员质态评估信息")
public class ZtpgPageListVO {

    @ApiModelProperty("数据ID")
    private Integer id;

    @ApiModelProperty("人员类型")
    private String rylx;

    @ApiModelProperty("身份证号")
    private String sfzhm;

    @ApiModelProperty("人员姓名")
    private String ryxm;

    @ApiModelProperty("检查时间")
    @JsonFormat(pattern = "yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date jcsj;

    @ApiModelProperty("风险评估填写内容")
    private String fxpgtxnr;

    @ApiModelProperty("风险评估检查结果")
    private String fxpgjcjg;

    @ApiModelProperty("现实表现填写内容")
    private String xsbxtxnr;

    @ApiModelProperty("现实表现检查结果")
    private String xsbxjcjg;

    @ApiModelProperty("活动地填写内容")
    private String hdztxnr;

    @ApiModelProperty("活动地检查结果")
    private String hdzjcjg;

    @ApiModelProperty("在控情况填写内容")
    private String zkqktxnr;

    @ApiModelProperty("在控情况检查结果")
    private String zkqkjcjg;

    @ApiModelProperty("现实表现近3次情况填写内容")
    private String jscqktxnr;

    @ApiModelProperty("现实表现近3次情况检查情况")
    private String jscqkjcjg;

    @ApiModelProperty("是否见面&现实表现填写内容")
    private String sfjmtxnr;

    @ApiModelProperty("是否见面&现实表现检查结果")
    private String sfjmjcjg;

    @ApiModelProperty("现实表现&风险评估填写内容")
    private String xsbxfxpgtxnr;

    @ApiModelProperty("现实表现&风险评估检查结果")
    private String xsbxfxpgjcjg;

    @ApiModelProperty("附件名称")
    private String fjmc;

    @ApiModelProperty("附件检查结果")
    private String fjjcjg;

    @ApiModelProperty("管控类型")
    private String gklx;
}
