package com.szr.zdryztpg.model.rpa;

import com.szr.common.model.RpaFeedbackResult;
import lombok.Data;

/**
 * 物品质态监管rpa回调
 *
 * @author loray
 * @date 2023/12/13 20:09
 */
@Data
public class WpztRpaCallbackResultDTO extends RpaFeedbackResult {

//    {
//        "userid":"用户id"
//        "taskid":"任务id",
//            "ajmc":"案件名称",
//            "wpmc":"物品名称",
//            "xtlrsj":"系统录入时间",
//            "rksj":"入库时间"
//    }

    private String userid;

    private String taskid;

    private String ajmc;

    private String wpmc;

    private String xtlrsj;

    private String rksj;

    //1 执行成功 2 失败
    private String status;

    public String statusText() {
        if ("1".equals(this.status)) {
            return "成功";
        }
        return "失败";
    }
}
