package com.szr.zdryztpg.utils;


import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import org.springframework.http.*;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;

/**
 * @author Carl
 * @Description http处理工具
 */
@Component
public class HttpUtils {
    @Resource
    private RestTemplate restTemplate;


    Gson gson = new GsonBuilder().create();
    public String sendPost(String url,Object obj){
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
        headers.set("Authorization","Basic bWFzdGVyOm1vZGVsX21hc3Rlcg==");
        HttpEntity<String> entity = new HttpEntity<>(gson.toJson(obj),headers);
        ResponseEntity<String> responseEntity = null;
        responseEntity = restTemplate.exchange(url.indexOf("http://") == 0 ? url : "http://" + url, HttpMethod.POST, entity, String.class);
        return responseEntity.getBody();
    }

    public String send(String url,String type, String userId,Object obj){
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
        headers.set("Authorization","Basic bWFzdGVyOm1vZGVsX21hc3Rlcg==");
        headers.set("userId",userId);
        HttpEntity<String> entity = null;
        if(HttpMethod.GET.equals(type)) {
            entity = new HttpEntity<>(null,headers);
        } else if(HttpMethod.POST.equals(type)) {
            entity = new HttpEntity<>(gson.toJson(obj),headers);
        }
        ResponseEntity<String> responseEntity = null;
        responseEntity = restTemplate.exchange(url.indexOf("http://") == 0 ? url : "http://" + url, HttpMethod.valueOf(type), entity, String.class);
        return responseEntity.getBody();
    }


    public String sendGet(String url){
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
        headers.set("Authorization","Basic bWFzdGVyOm1vZGVsX21hc3Rlcg==");
        HttpEntity<String> entity = new HttpEntity<>(null,headers);
        ResponseEntity<String> responseEntity = null;
        responseEntity = restTemplate.exchange(url.indexOf("http://")==0?url:"http://"+url, HttpMethod.GET,entity,String.class);
        return responseEntity.getBody();
    }

}
